var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctlms.base");
const uuidv4 = require('uuid/v4');
var moment = require("moment");

class CaptchaCtl extends CtlBase {
  constructor() {
    super();
    //this.appS=system.getObject("service.appSve");
    this.captchaSve = system.getObject("service.common.captchaSve");
  }

  async captcha(pobj, pobj2, req) {
    try {
      return await this.captchaSve.captcha(pobj);
    } catch (e) {
      console.log(e);
      return system.getResultFail(500, "接口错误");
    }  
  }

}
module.exports = CaptchaCtl;